Skitflow
Generated

Port

Skitflow API reference for Port endpoints.

POST
/port.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/port.create" \  -H "Content-Type: application/json" \  -d '{    "publishedPort": 0,    "targetPort": 0,    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/port.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

portId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/port.one?portId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/port.delete

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/port.delete" \  -H "Content-Type: application/json" \  -d '{    "portId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/port.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/port.update" \  -H "Content-Type: application/json" \  -d '{    "portId": "string",    "publishedPort": 0,    "targetPort": 0  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}